Bug 55077 - Bad: installer loops when trying to install XFree86-compat-libs
Bad: installer loops when trying to install XFree86-compat-libs
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-25 02:33 EDT by Roberto S. Greco
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-25 08:48:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roberto S. Greco 2001-10-25 02:33:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
During the (new - custom) installation of RedHat 7.2 (on a formatted HD), 
quite at the end of the installation, the installer reports the 
file "XFree86-compat-libs-4.0.3-2.ir86.rpm" is missing (resp. it can't 
find it). It asks to click on "OK" but it loops on that dialog box.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Custom
2. Choose to install ALL packages in X-Hardware
3. install
	

Actual Results:  after 2 hours installation (the 2nd CD was already in the 
drive) the installer reported it couldn't find the file:
XFree86-compat-libs-4.0.3-2.ir86.rpm
and looped on a dialog Box with just 1 button: "OK"

Expected Results:  it should have installed the package

Additional info:

It would have been good either to have on that dialog box another 
button "SKIP Package", for example or have the installer automatically 
sckip the missing file.
I've switched the console with CTRL-ALT-F2 and made 
ls /mnt/source/.../XFree86-compat*
the file was there!
I made
rpm -qp /mnt/source/.../XFree86-Compat*
ther other rpm where OK but NOT THAT
I couldn't make anything else than reboot (I'm not a Linux expert)
Comment 1 Brent Fox 2001-10-25 08:48:48 EDT
I think there might be something wrong with your cd.  Did you verify the md5sums
of the ISOs before you used them (if you downloaded them off the net, that is)?

A Skip Package button is a bad idea.  Skipping packages can have unintended
consequences.  We have no way of knowing at that point how important the package
in question is.  What if it's the kernel RPM, or glibc?  Skipping those packages
will leave your system unusable.  It's better to make sure that you have
undamaged media instead.  I wouldn't want to run my system knowing that I had
used corrupted cds for the install.
Comment 2 Brent Fox 2001-11-05 09:56:58 EST
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.